LibreOffice: XCanvasFont Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XCanvasFont Interface Reference

This interface provides access to a specific, XCanvas-dependent font incarnation. More...

`import "XCanvasFont.idl";`

Inheritance diagram for XCanvasFont:

## Public Member Functions
XTextLayout | createTextLayout ([in] StringContext aText, [in] byte nDirection, [in] hyper nRandomSeed)
| Create a text layout interface.
FontRequest | getFontRequest ()
| Query the FontRequest that was used to generate this object.
FontMetrics | getFontMetrics ()
| Query metric information about the font, that is generic to all its glyphs.
sequence< double > | getAvailableSizes ()
| Query the list of available font sizes.
sequence< ::com::sun::star::beans::PropertyValue > | getExtraFontProperties ()
| Query the list of additional font properties.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

This interface provides access to a specific, XCanvas-dependent font incarnation.

This font is not universally usable, but belongs to the XCanvas it was queried from.

## Member Function Documentation

## ◆ createTextLayout()

XTextLayout createTextLayout | ( | [in] StringContext | aText,
|  | [in] byte | nDirection,
|  | [in] hyper | nRandomSeed )

Create a text layout interface.

Create a text layout interface for the given string, using this font to generate the glyphs from.

Parameters

  aText | The text to layout.
  nDirection | Main text direction for the string specified. The main text direction is e.g. important for characters that are not strong, i.e. that change affinity according to the current writing direction. Make sure that across text portions and lines, the direction is set consistently.
  nRandomSeed | Optional random seed for OpenType glyph variations.

## ◆ getAvailableSizes()

sequence< double > getAvailableSizes | ( |  | ) |

Query the list of available font sizes.

This method queries the list of available font sizes (in device units) for this font. For scalable fonts that are not restricted to discrete sizes, this list is empty, meaning that every size is possible. Fonts that do restrict the device size to certain discrete values, setting an overall transformation that scales the FontRequest::CellSize to something not contained in the list returned by this method can lead to visible disturbances.

## ◆ getExtraFontProperties()

sequence< ::com::sun::star::beans::PropertyValue > getExtraFontProperties | ( |  | ) |

Query the list of additional font properties.

## ◆ getFontMetrics()

FontMetrics getFontMetrics | ( |  | ) |

Query metric information about the font, that is generic to all its glyphs.

Note that the metric values in the returned result are in the font coordinate system, i.e. relative to the corresponding size of this font. That is, when this font was created with a cell size of 20 units, the metrics returned are calculated relative to this size.

## ◆ getFontRequest()

FontRequest getFontRequest | ( |  | ) |

Query the FontRequest that was used to generate this object.

The documentation for this interface was generated from the following file:

- com/sun/star/rendering/XCanvasFont.idl